Subject: Re: linux-next: build failure after merge of the drm tree

From: Dave Airlie <[email-masked]>
Date: Wed, 20 May 2015 07:08:51 +0100 (IST)

> >> > drm-next and fix it up there.
> >>
> >> Yep, against commit 79b066bd76d5 ("drm/amdkfd: Initialize sdma vm when
> >> creating sdma queue") which is in v4.1-rc3.
> >
> > So you could, of course, just merge that commit instead of Linus'
> > tree ...
> >
> > --
> > Cheers,
> > Stephen Rothwell                    [email-masked]
> 
> Hi,
> Did I need to do something different in order to prevent this conflict ?
> Do some manual merge before sending the pull request ?
> 

Well this sort of thing is why linux-next exists, you can pull Linus's 
tree into yours to see if it builds before pulling, but you can find 
yourself fixing conflicts in other parts of the drm stack then.

I'll pull v4.1-rc4 tag in as a nicer merge point that misc Linus master.

Dave.